WingzGraphInternal::Graphic Struct Reference

Internal a Graphic of a WingzGraph. More...

## Public Member Functions

| Graphic ()
| the constructor

## Public Attributes

int | m_type
| the file type
int | m_order
| the order
MWAWBox2i | m_position
| the cell
MWAWBox2f | m_relativePosition
| the relative position (% of cell)
MWAWGraphicStyle | m_style
| the graphic style
float | m_angles [2]
| the angles: for arc
std::vector< MWAWVec2f > | m_vertices
| the vertices list: poly (% of box)
std::vector< std::shared_ptr< Graphic > > | m_children
| the children: group
MWAWEntry | m_entry [2]
| the data : if picture 0: data, if textbox/button 0:button, 1:title
MWAWFont | m_font [2]
| the name/title basic font
int | m_textType
| the textbox type
MWAWEntry | m_textEntry
| the textbox entry
std::vector< MWAWFont > | m_fontList
| list of fonts: textbox
std::map< int, size_t > | m_posToFontId
| map pos to fontId
MWAWParagraph | m_paragraph
| the paragraph: textbox
int | m_flag
| some flag (depending of type)

## Detailed Description

Internal a Graphic of a WingzGraph.

## Constructor & Destructor Documentation

## Graphic()

WingzGraphInternal::Graphic::Graphic | ( |  | ) |

inline

the constructor

## Member Data Documentation

## m_angles

float WingzGraphInternal::Graphic::m_angles[2]

the angles: for arc

Referenced by Graphic(), and WingzGraph::sendShape().

## m_children

std::vector<std::shared_ptr<Graphic> > WingzGraphInternal::Graphic::m_children

the children: group

Referenced by Graphic(), and WingzGraph::sendGraphic().

## m_entry

MWAWEntry WingzGraphInternal::Graphic::m_entry[2]

the data : if picture 0: data, if textbox/button 0:button, 1:title

Referenced by WingzGraph::sendPicture(), and WingzGraph::sendText().

## m_flag

int WingzGraphInternal::Graphic::m_flag

some flag (depending of type)

Referenced by Graphic(), and WingzGraph::sendShape().

## m_font

MWAWFont WingzGraphInternal::Graphic::m_font[2]

the name/title basic font

Referenced by WingzGraph::sendText().

## m_fontList

std::vector<MWAWFont> WingzGraphInternal::Graphic::m_fontList

list of fonts: textbox

Referenced by Graphic(), and WingzGraph::sendText().

## m_order

int WingzGraphInternal::Graphic::m_order

the order

Referenced by Graphic(), and WingzGraph::sendGraphic().

## m_paragraph

MWAWParagraph WingzGraphInternal::Graphic::m_paragraph

the paragraph: textbox

Referenced by Graphic(), and WingzGraph::sendText().

## m_position

MWAWBox2i WingzGraphInternal::Graphic::m_position

the cell

Referenced by Graphic(), and WingzGraph::sendGraphic().

## m_posToFontId

std::map<int, size_t> WingzGraphInternal::Graphic::m_posToFontId

map pos to fontId

Referenced by Graphic(), and WingzGraph::sendText().

## m_relativePosition

MWAWBox2f WingzGraphInternal::Graphic::m_relativePosition

the relative position (% of cell)

Referenced by Graphic(), and WingzGraph::sendGraphic().

## m_style

MWAWGraphicStyle WingzGraphInternal::Graphic::m_style

the graphic style

Referenced by Graphic(), WingzGraph::sendGraphic(), and WingzGraph::sendShape().

## m_textEntry

MWAWEntry WingzGraphInternal::Graphic::m_textEntry

the textbox entry

Referenced by Graphic(), and WingzGraph::sendText().

## m_textType

int WingzGraphInternal::Graphic::m_textType

the textbox type

Referenced by Graphic(), and WingzGraph::sendText().

## m_type

int WingzGraphInternal::Graphic::m_type

the file type

Referenced by Graphic(), WingzGraph::sendGraphic(), and WingzGraph::sendShape().

## m_vertices

std::vector<MWAWVec2f> WingzGraphInternal::Graphic::m_vertices

the vertices list: poly (% of box)

Referenced by Graphic(), and WingzGraph::sendShape().

The documentation for this struct was generated from the following file:

- WingzGraph.cxx